exercise_04_21: exercise_04_21.o | .gitignore
	g++ $^ -o $@

exercise_04_21.ii: exercise_04_21.cpp       
	g++ -E $^ -o $@
	      
exercise_04_21.s: exercise_04_21.ii		
	g++ -S $^ -o $@

exercise_04_21.o: exercise_04_21.s
	g++ -c $^ -o $@

.gitignore:
	echo "exercise_04-21" > $@

clean:
	rm *.ii *.s *.o *.out exercise_04_21 .gitignore

test1: exercise_04_21
	./exercise_04_21 > test1.out && echo "Test 1 is executing..."

.PRECIOUS: exercise_04_21.ii exercise_04_21.s
.SECONDARY: exercise_04_21.ii exercise_04_21.s

